Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.shimhost
Class Filter.FilterAttr

    java.lang.Object
      com.novell.nds.dirxml.shimhost.Filter.FilterItem
          com.novell.nds.dirxml.shimhost.Filter.FilterAttr

Enclosing class:
  Filter

    public static class Filter.FilterAttr

extends Filter.FilterItem

Class representing a <filter-attr> element.

Field Summary

Fields inherited from class com.novell.nds.dirxml.shimhost.Filter.FilterItem
`modified, name, syncMode`

Method Summary
`protected void` | `checkSyncMode(int mode)` Validate a sync mode argument for `FilterAttr`
`protected String` | `getElementName()` Get the tag name of the XML element used to represent `FilterAttr` objects in XML.
`int` | `getMergeAuthority()` Get the value for the 'merge-authority' XML attribute
`boolean` | `getPublisherOptimizeModify()` Get the value for the 'publisher-optimize-modify' XML attribute
`void` | `setMergeAuthority(int value)` Set the value for the 'merge-authority' XML attribute
`void` | `setPublisherOptimizeModify(boolean value)` Set the value for the 'publisher-optimize-modify' XML attribute
`Element` | `toXML(Node parent)` Construct an XML representation of this `FilterAttr` instance.

Methods inherited from class com.novell.nds.dirxml.shimhost.Filter.FilterItem
`getName, getSyncMode, hasBeenModified, resetModified, setSyncMode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMergeAuthority

    public int getMergeAuthority()

  Get the value for the 'merge-authority' XML attribute

  Returns:
    `MERGE_DEFAULT`, `MERGE_EDIR`, `MERGE_APP`, or `MERGE_NONE`

### setMergeAuthority

    public void setMergeAuthority(int value)
                           throws IllegalArgumentException

  Set the value for the 'merge-authority' XML attribute

  Parameters:
    `value` - `MERGE_DEFAULT`, `MERGE_EDIR`, `MERGE_APP`, or `MERGE_NONE`
  Throws:
    `IllegalArgumentException` - if value parameter is incorrect

### getPublisherOptimizeModify

    public boolean getPublisherOptimizeModify()

  Get the value for the 'publisher-optimize-modify' XML attribute

  Returns:
    `true` or `false`

### setPublisherOptimizeModify

    public void setPublisherOptimizeModify(boolean value)

  Set the value for the 'publisher-optimize-modify' XML attribute

  Parameters:
    `value` - `true` or `false`

### toXML

    public Element toXML(Node parent)

  Construct an XML representation of this `FilterAttr` instance.

  Note that the act of creating an XML representation does not reset this instance's modified flag. It must be reset by calling `resetModified()`.

  Parameters:
    `parent` - `Node` under which to build XML representation
  Returns:
    created <filter-attr> element
  See Also:
    `Filter.FilterItem.hasBeenModified()`, `Filter.FilterItem.resetModified()`

### checkSyncMode

    protected void checkSyncMode(int mode)
                          throws IllegalArgumentException

  Validate a sync mode argument for `FilterAttr`

  Specified by:
    `checkSyncMode` in class `Filter.FilterItem`
  Parameters:
    `mode` - sync mode to check
  Throws:
    `IllegalArgumentException` - if `mode` parameter isn't one of `SYNC_SYNC`, `SYNC_NOTIFY`, `SYNC_RESET`, or `SYNC_IGNORE`

### getElementName

    protected String getElementName()

  Get the tag name of the XML element used to represent `FilterAttr` objects in XML.

  Specified by:
    `getElementName` in class `Filter.FilterItem`
  Returns:
    "filter-attr"

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD